package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.CollectTruckLeaveSaveParam;
import com.clx.performance.param.app.collect.PageCollectTruckLeaveParam;
import com.clx.performance.param.pc.carrier.CarrierPageCollectTruckLeaveParam;
import com.clx.performance.vo.pc.collect.CollectTruckLeaveVO;

public interface CollectTruckLeaveService {

    void saveLeave(CollectTruckLeaveSaveParam param);

    CollectTruckLeaveVO getInfo(Integer id);

    IPage<CollectTruckLeaveVO> pageLeave(PageCollectTruckLeaveParam param);

    IPage<CollectTruckLeaveVO> carrierPageLeave(CarrierPageCollectTruckLeaveParam param);

}
